Debian Bug report logs - #569813
dh-kpatches: Can't fulfill its original purpose anymore (kernel-package dropped --added-patches)

version graph

Package: dh-kpatches; Maintainer for dh-kpatches is Yann Dirson <dirson@debian.org>; Source for dh-kpatches is src:dh-kpatches.

Reported by: Roland Stigge <stigge@antcom.de>

Date: Sun, 14 Feb 2010 14:00:05 UTC

Severity: normal

Tags: help, jessie, sid, squeeze, wheezy

Found in version dh-kpatches/0.99.36

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#569813; Package dh-kpatches. (Sun, 14 Feb 2010 14:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Yann Dirson <dirson@debian.org>. (Sun, 14 Feb 2010 14:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-kpatches: Can't fulfill its original purpose anymore (kernel-package dropped --added-patches)
Date: Sun, 14 Feb 2010 14:47:24 +0100
Package: dh-kpatches
Version: 0.99.36
Severity: serious

Hi,

according to the Description, the purpose of dh-kpatches is to produce patches
to be automatically usable by kernel-package:

============================================================================
 The dh_installkpatches script produces the "apply" and "unpatch" scripts
 that kernel-package uses to automatically handle kernel patches.
============================================================================

However, kernel-package dropped the option "--added-patches" around 09/2009.
Thus, dh-kpatches doesn't look very useful anymore.

The package would either need to be dropped or change its purpose somehow.

Thanks for considering.

bye,
  Roland


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-486
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dh-kpatches depends on:
ii  debhelper                     7.4.13     helper programs for debian/rules
ii  perl                          5.10.1-9   Larry Wall's Practical Extraction 

dh-kpatches recommends no packages.

Versions of packages dh-kpatches suggests:
ii  kernel-package                12.032     A utility for building Linux kerne

-- no debconf information




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 18 Feb 2010 14:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#569813; Package dh-kpatches. (Mon, 29 Mar 2010 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. (Mon, 29 Mar 2010 20:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 569813@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: 569813@bugs.debian.org, control@bugs.debian.org
Subject: rumors of death slightly exagerated
Date: Mon, 29 Mar 2010 22:19:05 +0200
severity 569813 normal
tags 569813 + help
thanks

Whereas make-kpkg does not support those patches itself, they are
still apparently useful to some people - and as Manoj says in [1]
simple tools can even be written to make it convenient to use them
again.

Tagging as "help" as I don't have the itch to write such a script
myself - it would however fit well into kernel-patch-scripts.

http://lists.debian.org/debian-devel/2010/03/msg00746.html




Severity set to 'normal' from 'serious' Request was from Yann Dirson <ydirson@free.fr> to control@bugs.debian.org. (Mon, 29 Mar 2010 20:21:12 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Yann Dirson <ydirson@free.fr> to control@bugs.debian.org. (Mon, 29 Mar 2010 20:21:12 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:52 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:56:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.